class gameViewport
{
public:
   BITMAP *leftpane;
   int paneX, paneY;
   int paneSizeX, paneSizeY;

   BITMAP *sniping;
   int snipingX, snipingY;
   bool snipingEnabled;

   int CurX, CurY;
   int SnipX, SnipY; // viewport
   int player;
   
   int aBarX, aBarY, hBarX, hBarY;

   void draw();

   void drawLevel();
   void drawLights();
   void ItemsDraw();
   void drawLines();
   void drawWorms();
   void drawSpecials();
   void drawWeaps();
   void drawShrap();
   void drawSightLines();
   void drawWPs();
   void drawCrosshair();
   void drawRadar();
   void drawHud();
   
};

